# Gmagick::spreadimage

(PECL gmagick >= Unknown)

Gmagick::spreadimage — Randomly displaces each pixel in a block

### Description

public Gmagick::spreadimage ( float `$radius` ) : Gmagick

Special effects method that randomly displaces each pixel in a block defined by the radius parameter.

### Parameters

`radius`

  Choose a random pixel in a neighborhood of this extent.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.